Rename Workspace Endpoint
curl --request PUT \
--url https://api.formbharo.artpark.ai/api/v1/workspaces/{workspace_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.formbharo.artpark.ai/api/v1/workspaces/{workspace_id}"
payload = { "name": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"admin_emails": [
"<string>"
],
"current_user_email": "<string>",
"id": "<string>",
"is_owner": true,
"is_personal": true,
"name": "<string>",
"owner_email": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Workspaces
Rename Workspace Endpoint
Rename a workspace. Workspace admins only.
PUT
/
api
/
v1
/
workspaces
/
{workspace_id}
Rename Workspace Endpoint
curl --request PUT \
--url https://api.formbharo.artpark.ai/api/v1/workspaces/{workspace_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.formbharo.artpark.ai/api/v1/workspaces/{workspace_id}"
payload = { "name": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"admin_emails": [
"<string>"
],
"current_user_email": "<string>",
"id": "<string>",
"is_owner": true,
"is_personal": true,
"name": "<string>",
"owner_email": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Body
application/json
New name for an existing workspace.